List granular permissions
curl --request GET \
--url https://api.diversion.dev/v0/repos/{repo_id}/granular-permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/granular-permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/granular-permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"repo_id": "<string>",
"path_pattern": "<string>",
"evaluation_order": 123,
"created_unix": 123,
"updated_unix": 123,
"created_by": "<string>",
"last_updated_by": "<string>",
"user_id": "<string>",
"group_id": "<string>"
}
]
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}Repository Granular Permissions
List granular permissions
List all granular permissions configured for this repository
GET
/
repos
/
{repo_id}
/
granular-permissions
List granular permissions
Authorizations
OAuth2OAuth2
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Response
A list of granular permission objects
Show child attributes
Show child attributes
⌘I

